# Generated from switch_board-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name switch_board

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Coordinate a set of persisted data and distribute to an active set of registerd clients
License: MIT
URL: https://github.com/fiverr/switch_board
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.4
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rubygems-tasks) >= 0.2
# BuildRequires: rubygem(rubygems-tasks) < 1
BuildArch: noarch

%description
Coordinate a set of persisted data models and distribute to an active set of
registerd clients.  Allows locking and automatic expiration for locking on
portions of the data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/run_test
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/ChangeLog.rdoc
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/switch_board.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.5-1
- Initial package
